WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: CORE 12 ntpdate depends on libssl.so.1.0.0  (Read 1204 times)

Offline wksilva

  • Newbie
  • *
  • Posts: 11
CORE 12 ntpdate depends on libssl.so.1.0.0
« on: July 14, 2021, 03:02:37 PM »
Hi,

For CORE 12, from ntp-server.tcz  the program ntpdate depends on libssl.so.1.0.0 that does not exists.

In fact, these are the packages ttat use libssl.so.1.0.0:

ettercap.tcz
getFlash_beta.tcz
getFlash.tcz
godot.tcz
kodi.tcz
libofx.tcz
ntp-server.tcz
tor.tcz


Regards,
Wagner.

Online Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 13392
Re: CORE 12 ntpdate depends on libssl.so.1.0.0
« Reply #1 on: July 15, 2021, 03:27:40 AM »
It looks like you're speaking of CorePure64 12.x?

Online Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 13392
Re: CORE 12 ntpdate depends on libssl.so.1.0.0
« Reply #2 on: July 15, 2021, 06:20:33 AM »
The openssl irequirement is masked by recursive deps..

ettercap and libofx updated - I'll also look at godot and kodi

You'll need to pm the maintainer for getFlash_beta, getFlash, ntp-server and tor.
« Last Edit: July 15, 2021, 06:40:24 AM by Juanito »

Offline Rich

  • Administrator
  • Hero Member
  • *****
  • Posts: 9649
Re: CORE 12 ntpdate depends on libssl.so.1.0.0
« Reply #3 on: July 15, 2021, 07:13:50 AM »
Hi Juanito
... You'll need to pm the maintainer for getFlash_beta, getFlash ...
Unfortunately, coreplayer2 hasn't been around for a couple of years.

Then there is this from the Adobe website:
Quote
Since Adobe no longer supports Flash Player after December 31, 2020 and blocked Flash content from running in Flash Player beginning January 12, 2021, Adobe strongly recommends all users immediately uninstall Flash Player to help protect their systems.
Found here:
https://www.adobe.com/products/flashplayer/end-of-life.html

So should the flash extensions still remain in the repositories?

Online Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 13392
Re: CORE 12 ntpdate depends on libssl.so.1.0.0
« Reply #4 on: July 15, 2021, 07:36:07 AM »
Good point - getFlash extensions removed.

Online Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 13392
Re: CORE 12 ntpdate depends on libssl.so.1.0.0
« Reply #5 on: July 17, 2021, 04:23:38 AM »
Godot updated

Online Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 13392
Re: CORE 12 ntpdate depends on libssl.so.1.0.0
« Reply #6 on: July 18, 2021, 07:25:33 AM »
kodi updated, ntp-server and tor removed

Offline wksilva

  • Newbie
  • *
  • Posts: 11
Re: CORE 12 ntpdate depends on libssl.so.1.0.0
« Reply #7 on: September 29, 2021, 10:38:00 AM »

Did you removed ntp-server.tcz?    It is an important package.   There is a substitute?

Online Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 13392
Re: CORE 12 ntpdate depends on libssl.so.1.0.0
« Reply #8 on: September 29, 2021, 11:00:33 AM »
If you’d like to submit an update, please go ahead.

Offline Rich

  • Administrator
  • Hero Member
  • *****
  • Posts: 9649
Re: CORE 12 ntpdate depends on libssl.so.1.0.0
« Reply #9 on: September 29, 2021, 11:12:55 AM »
Hi wksilva
Are you looking to run an NTP time server? Or do you just need an NTP client:
http://tinycorelinux.net/12.x/x86_64/tcz/ntpclient.tcz.info

Depending on your needs, maybe  ntpd  included with busybox would suffice:
Code: [Select]
tc@E310:~$ ntpd --help
BusyBox v1.29.3 (2018-12-19 15:29:37 UTC) multi-call binary.

Usage: ntpd [-dnqNw] [-S PROG] [-p PEER]...

NTP client/server

        -d      Verbose (may be repeated)
        -n      Do not daemonize
        -q      Quit after clock is set
        -N      Run at high priority
        -w      Do not set time (only query peers), implies -n
        -S PROG Run PROG after stepping time, stratum change, and every 11 mins
        -p PEER Obtain time from PEER (may be repeated)
                If -p is not given, 'server HOST' lines
                from /etc/ntp.conf are used
tc@E310:~$

The description lists it as an  "NTP client/server".